:root {
  --accent-color: #9b8d81; /* faded brown */
  --main-color: #3d3d3d; /* dark grey */
}

* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

body {
  font-family: 'Istok Web', sans serif;
  font-size: 16px;
  color: var(--main-color);
  background-color: #f5f5f5; /* light grey */
}


/*--- HEADER ------------------------*/
/*-----------------------------------*/

header {
    display: flex;
    flex-flow: row nowrap;
    justify-content: space-between;
    align-items: center;
    position: sticky;
    top: 0;
    width: 100vw;
    padding: 2.5vh 0;
    z-index: 10;
    background-color: #d1cdb8; /* faded yellow */
}

/* Fluid padding */
 @media screen and (min-width: 37.5rem) {
    header {
      padding: calc(2.5vh + 2.5 * ((100vw - 37.5rem) / 82.5)) calc(0vw + 20 * ((100vw - 37.5rem) / 82.5));
    }
  }
  @media screen and (min-width: 120rem) {
    header {
      padding: 5vh 20vw;
    }
  }


.logo {
  display: block;
  flex-shrink: 1;
  max-width: 80%;
  max-height: 12vh;
  margin: 0 0.75rem 0 1rem;
}


.menu-btn {
  display: none;
}


.menu-icon {
  padding: 1rem;
  margin: 0 1rem 0 0.75rem;
  cursor: pointer;
}


.navicon {
  display: block;
  position: relative;
  width: 1.5rem;
  height: 2px; 
  background: #1d1d1d;
  transition: background 0.2s ease-out;
  z-index: 12;
}
.navicon:before,
.navicon:after {
  background: var(--main-color);
  content: '';
  display: block;
  height: 100%;
  position: absolute;
  transition: all .2s ease-out;
  width: 100%;
}
.navicon:before {
  top: 0.5rem;
}
.navicon:after {
  top: -0.5rem;
}

.menu-btn:checked ~ .menu-icon .navicon {
  background: transparent;
}
.menu-btn:checked ~ .menu-icon .navicon:before {
  transform: rotate(-45deg) translateY(-0.5rem) translateX(0.2rem);
}
.menu-btn:checked ~ .menu-icon .navicon:after {
  transform: rotate(45deg) translateY(0.5rem) translateX(0.2rem);
}

.menu {
  list-style: none;
  text-align: center;
  padding: 12vh 0;
  background-color: var(--accent-color);
  box-shadow: 0 2px 3px 0 rgba(0, 0, 0, 0.2);
  z-index: 11;
}

.menu-btn:not(:checked) ~ .menu {
    display: none;
}
.menu-btn:checked ~ .menu {
        max-height: 85vh;
        width: 100vw;
        position: fixed;
        top: 0;
        left: 0;
}


.menu li a {
  color: inherit;
  text-decoration: inherit;
  font-weight: bold;
  display: block;
  padding: 1.5em;
}

.menu li a:hover {
  background-color: #887165; /* faded orange rust */
}

/*--- GSM Custom Styling ------------*/
/*-----------------------------------*/

.bodycontent {
  display: block;
  margin-left: auto;
  margin-right: auto;
  width: 80%;
}

.contactcontent {
  text-align: center;
}

.pictures {
  display: block;
  margin-left: auto;
  margin-right: auto;
  width: 100%;
}

h1 {
	font-size: 32px;
}

h2 {
	font-size: 28px;
	padding-top: 14px;
	padding-bottom: 14px;
}

h3 {
	font-size: 24px;
	padding-top: 12px;
	padding-bottom: 12px;
}

h4 {
	font-size: 20px;
	padding-top: 10px;
	padding-bottom: 10px;
}

ul {
	padding-left: 36px;
	padding-right: 36px;
	padding-bottom: 10px;
}

p {
	padding-bottom: 12px;
}
